Bug 1572231 - SELinux is preventing cups-pk-helper- from 'read' accesses on the lnk_file tmp.
Summary: SELinux is preventing cups-pk-helper- from 'read' accesses on the lnk_file tmp.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:60c21b63816a40f0f78e643d450...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 13:15 UTC by Michael Schwendt
Modified: 2019-05-29 00:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-29 00:01:38 UTC
Type: ---


Attachments (Terms of Use)

Description Michael Schwendt 2018-04-26 13:15:26 UTC
Description of problem:
This occurs when printing a test page from within system-config-printer setup.
SELinux is preventing cups-pk-helper- from 'read' accesses on the lnk_file tmp.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that cups-pk-helper- should be allowed read access on the tmp lnk_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'cups-pk-helper-' --raw | audit2allow -M my-cupspkhelper
# semodule -X 300 -i my-cupspkhelper.pp

Additional Information:
Source Context                system_u:system_r:cupsd_config_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:home_root_t:s0
Target Objects                tmp [ lnk_file ]
Source                        cups-pk-helper-
Source Path                   cups-pk-helper-
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           filesystem-3.8-2.fc28.x86_64
Policy RPM                    selinux-policy-3.14.1-21.fc28.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.16.3-300.fc28.x86_64 #1 SMP Thu
                              Apr 19 19:04:56 UTC 2018 x86_64 x86_64
Alert Count                   2
First Seen                    2018-04-26 14:37:55 CEST
Last Seen                     2018-04-26 15:12:37 CEST
Local ID                      a3d863dd-a42f-45f7-bbf5-57f7b7f01ec8

Raw Audit Messages
type=AVC msg=audit(1524748357.457:448): avc:  denied  { read } for  pid=5286 comm="cups-pk-helper-" name="tmp" dev="dm-3" ino=2101289 scontext=system_u:system_r:cupsd_config_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:home_root_t:s0 tclass=lnk_file permissive=0


Hash: cups-pk-helper-,cupsd_config_t,home_root_t,lnk_file,read

Version-Release number of selected component:
selinux-policy-3.14.1-21.fc28.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.4
hashmarkername: setroubleshoot
kernel:         4.16.3-300.fc28.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2018-04-29 13:52:51 UTC
Hi, 

Did you login as root into X session?

Comment 2 Michael Schwendt 2018-04-29 20:59:47 UTC
No, of course not.

And it's GNOME Shell on Xwayland.

Comment 3 Ben Cotton 2019-05-02 19:23:24 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-02 19:34:56 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-05-29 00:01:38 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.